{% extends 'base_jinja.html' %}
{% block title %} {{ titulo }} {% endblock title %}

{% block stylesheets %}
    {{ super() }}
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-responsive-bs/css/responsive.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-buttons-bs/css/buttons.bootstrap.min.css') }}">

{% endblock stylesheets %}

{% block content %}
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                GDC | SDLC
                <small> {{ titulo }} - {{ sub_titulo }} </small>
                
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">
                {% if get_messages(request) %}
                
                <div class="modal fade" id="modal-default">
                
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span></button>
                              <h4 class="modal-title">
                                {% for message in get_messages(request) %}
                                    {% if message.tags == 'error' %}
                                        <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                                    {% elif message.tags == 'warning' %}
                                        <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                                    {% elif message.tags == 'success' %}
                                        <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                                    {% elif message.tags == 'info' %}
                                        <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                                    {% endif %}
                                {% endfor %}
                              </h4>
                            </div>
                            <div class="modal-body">
                                    {% for message in get_messages(request) %}
                                        <div class="alert alert-{{ message.tags }} alert-dismissible">
                                            <!-- <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button> -->
                                            {{ message }}
                                        </div>
                                    {% endfor %}
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                            </div>
                          </div>
                          <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                </div>
                {% endif %}

            <div class="row">
                <div class="col-lg-6 col-xs-6">
                    <!-- small box -->
                    <div class="small-box bg-red">
                    <div class="inner">
                        <h3>{{ tramites_annio_pasado.count() }}</h3>
        
                        <p>{{ titulo }} {{ fecha.annio_pasado }}</p>
                    </div>
                    <div class="icon">
                        <i class="ion ion-stats-bars"></i>
                    </div>
                    <a title="Estadisticas año {{ fecha.annio_pasado }}" href="{{ url('recaudacion:estadisticas_tramite', args=[fecha.annio_pasado]) }}" class="small-box-footer">Más info... <i class="fa fa-arrow-circle-right"></i></a>
                    </div>
                </div>
                <!-- ./col -->
                <div class="col-lg-6 col-xs-6">
                    <!-- small box -->
                    <div class="small-box bg-blue">
                    <div class="inner">
                        <h3>{{ tramites_annio_actual.count() }}</h3>
        
                        <p>{{ titulo }} {{ fecha.annio }}</p>
                    </div>
                    <div class="icon">
                        <i class="ion ion-stats-bars"></i>
                    </div>
                    <a title="Estadisticas año {{ fecha.annio }}" href="{{ url('recaudacion:estadisticas_tramite', args=[fecha.annio]) }}" class="small-box-footer">Más info... <i class="fa fa-arrow-circle-right"></i></a>
                    </div>
                </div>
                <!-- ./col -->
                <div class="col-md-4 col-md-offset-4">
                    <center><a href="{{ url('recaudacion:list_tramites') }}"><div class="external-event bg-red">{{ sub_titulo }}</div></a></center>
                </div>
                
            </div>
            <div class="row">
                <div class="col-md-3 col-xs-12">
            
                    {% for tramite in tramitesL[:1] %}
                    <a href="{{ url('recaudacion:list_tramites') }}?filtro={{ tramite.pk }}"><div class="external-event bg-navy">{{ tramite.descripcion }}</div></a>
                    {% endfor %}
                    
                </div>
                <div class="col-md-3 col-xs-12">
                        
                    {% for tramite in tramitesL[1:5] %}
                    <a href="{{ url('recaudacion:list_tramites') }}?filtro={{ tramite.pk }}"><div class="external-event bg-blue">{{ tramite.descripcion }}</div></a>
                    {% endfor %}
                </div>
                <div class="col-md-3 col-xs-12">
                    
                    {% for tramite in tramitesL[5:9] %}
                    <a href="{{ url('recaudacion:list_tramites') }}?filtro={{ tramite.pk }}"><div class="external-event bg-blue">{{ tramite.descripcion }}</div></a>
                    {% endfor %}
                </div>
                <div class="col-md-3 col-xs-12">
                
                    {% for tramite in tramitesL[9:13] %}
                    <a href="{{ url('recaudacion:list_tramites') }}?filtro={{ tramite.pk }}"><div class="external-event bg-navy">{{ tramite.descripcion }}</div></a>
                    {% endfor %}
                </div>
            </div>


            <div class="row">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-header">
                            {% if filtro == '1' %}
                            <a class="btn btn-danger pull-right" href="{{ url('recaudacion:tramite_emision', args=[listado_tramites[0],templates[0]]) }}">
                                <i class="fa fa-plus"></i> Nueva Inscripción
                            </a>
                            {% elif filtro in ['2','3','4','5'] %}
                            <a class="btn btn-danger pull-right" href="{{ url('recaudacion:tramite_emision', args=[listado_tramites[1],templates[1]]) }}">
                                <i class="fa fa-plus"></i> Nueva Licencia
                            </a>
                            {% elif filtro in ['6','7','8','9'] %}
                            <a class="btn btn-danger pull-right" href="{{ url('recaudacion:renovacion', args=[listado_tramites[2],templates[2]]) }}">
                                <i class="fa fa-plus"></i> Renovación de Licencia
                            </a>
                            {% elif filtro in ['10','11','12','13'] %}
                            <a class="btn btn-danger pull-right" href="{{ url('recaudacion:aporte', args=[listado_tramites[3],templates[3]]) }}">
                                <i class="fa fa-plus"></i> Aporte Semanal de Licencia
                            </a>
                            {% endif %}
                            <!--  -->
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th colspan="6" class="text-center">
                                            <select name="parroquia" id="parroquia" class="form-control">
                                                <option value="todos">Parroquias</option>
                                                {% for parroquia in parroquias %}
                                                <option value="{{ parroquia.nombreparroquia|capitalize }}">{{ parroquia.nombreparroquia|capitalize }}</option>
                                                {% endfor %}
                                            </select>
                                        </th>
                                    </tr>
                                <tr>
                                    <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                    <th class="text-center"><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Nombre Comercial</th>
                                    <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                    <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; 
                                        {{ titulo }}
                                    </th>
                                    <th class="text-center"><i class="fa fa-map-market"></i>
                                    &nbsp;&nbsp; Parroquia
                                    </th>
                                    <th class="text-center">
                                        Status
                                    </th>

                                    <th class="text-center">Acciones</th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                    {% for tramite in tramites %}
                                    <tr>
                                        <td>{{ tramite.empresa.razon_social.upper() }}</td>
                                        <td class="text-center">{{ tramite.empresa.nombre_comercial.upper() }}</td>
                                        <td class="text-center">{{ tramite.empresa.nro_rif.upper() }} </td>
                                        <td class="text-center">
                                                {{ tramite.nro_tramite }}
                                        </td>
                                        <td class="text-center">
                                                {{ tramite.parroquia|capitalize }}
                                        </td>
                                        <td class="text-center">
                                            {% if tramite.status_actividad == True %}
                                            <div class="external-event bg-blue">Activa</div>
                                            {% else %}
                                            <div class="external-event bg-red">Inactiva</div>
                                            {% endif %}
                                        </td>
                                        <td class="text-center">

                                            <a title="Detalle de la Inscripción Nro. {{ tramite.nro_tramite }}" onclick="return abrir_modal('{{ url('recaudacion:detail_inscripcion', args=[tramite.id]) }}')" class="btn btn-default btn-xs"><i class="fa fa-eye"></i></a>

                                            <a onclick="return abrir_modal('{{ url('recaudacion:tramite_edit', args=[tramite.pk]) }}')" class="btn btn-xs btn-primary">
                                                <i class="fa fa-edit"></i>
                                            </a>

                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                        <th class="text-center"><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Nombre Comercial</th>
                                        <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                        <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; 
                                            {{ titulo }}
                                        </th>
                                        <th class="text-center"><i class="fa fa-map-market"></i>
                                        &nbsp;&nbsp; Parroquia
                                        </th>
                                        <th class="text-center">
                                            Status
                                        </th>
    
                                        <th class="text-center">Acciones</th>
                                        
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
                <!-- /.row -->

              </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}

{% block javascripts %}
    {{ super() }}
    <!-- DataTables -->
    <script src="{{ static('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive-bs/js/responsive.bootstrap.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons-bs/js/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/jszip/dist/jszip.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/pdfmake.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/vfs_fonts.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.colVis.min.js') }}"></script>
    <!-- page script -->
    <script>
        function abrir_modal(url) {
            $('#popup').load(url, function () {
                $(this).modal('show');
            });
            return false;
        }

        $(function () {
            $('#modal-default').modal('show');
        });

        $.fn.dataTable.ext.search.push(
            function( settings, data, dataIndex ) {
                var cod_act = $('#parroquia').val();
                var codigo = data[4];
        
                if (( cod_act == codigo ) || ( cod_act == 'todos') )
                {
                    return true;
                }
                return false;
            }
        );
 
        $(document).ready(function() {
            var table = $('#example').DataTable({
                lengthChange: true,
                columnDefs: [
                    { "targets": 6, "orderable": false },
                    { "targets": [6], "searchable": false },
                ],
                language: {
                    lengthMenu: "Mostrar _MENU_ registros por página",
                    zeroRecords: "Lo sentimos, no encontramos nada",
                    info: "Mostrando la página _PAGE_ de _PAGES_",
                    infoEmpty: "Sin registros disponibles",
                    infoFiltered: "(Filtrados de untotal de _MAX_ registros)",
                    search: "Buscar: ",
                    paginate: {
                        first: "Primero",
                        last: "Último",
                        next: "Siguiente",
                        previous: "Previo"
                    },
                    buttons: {
                        copy: "Copiar"
                    },
                    decimal: "-",
                    thousands: "."
                },
                buttons: ['copy', 'csv', 'pdf']
            });

            table.buttons().container()
                .appendTo('#example_wrapper .col-sm-6:eq(0)');

            
            // Event listener to the two range filtering inputs to redraw on input
            $('#parroquia').change( function() {
                table.draw();
            } );

            $('#column0_search').on( 'keyup', function () {
                table
                    .columns( 0 )
                    .search( this.value )
                    .draw();
            } );
        });
        
    </script>
{% endblock javascripts %}